import { Base64 } from "js-base64";
import getCookie from "../getCookie";

/**
 * 获取当前用户真实姓名，没有则返回 null
 */
const getRealname = function (): string | null {
    let c = getCookie("realname");
    if (c) {
        c = c.replace(/"/g, "");
        return Base64.decode(c);
    } else {
        return null;
    }
}

export default getRealname;